%global commit a4dd9a5003be3df112f7e7a3bcda92e48c93abf7
%global commitdate 20240807
%global shortcommit %{sub %{commit} 1 7}

%global qt6_minver 6.2
%global kf6_minver 6.0


Name:           karton
Version:        0.1~git.0.%{commitdate}.%{shortcommit}
Release:        1%{?dist}
Summary:        Simple QEMU frontend using KDE technologies

License:        GPL-3.0-or-later
URL:            https://invent.kde.org/arraybolt/karton
Source0:        %{url}/-/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  extra-cmake-modules
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  cmake(Qt6Quick) >= %{qt6_minver}
BuildRequires:  cmake(Qt6QuickControls2) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_minver}
BuildRequires:  cmake(KF6Config) >= %{kf6_minver}
BuildRequires:  cmake(KF6CoreAddons) >= %{kf6_minver}
BuildRequires:  cmake(KF6Kirigami) >= %{kf6_minver}
# Private APIs are used :(
BuildRequires:  qt6-qtbase-private-devel
# Shells out to QEMU
Requires:       qemu-system-x86-core

%description
Karton is a desktop virtual machine management application for KDE. It is
designed to look nice and work well with a Plasma desktop session. It aims to
be an alternative to GNOME Boxes, VirtualBox, and virt-manager for desktop
virtualization use cases. It is partially inspired by (though shares no code
with) the popular macOS virtualization app, UTM. Under the hood, it makes use
of QEMU and KVM for virtualization and emulation.


%prep
%autosetup -n %{name}-%{commit}


%conf
%cmake_kf6


%build
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}-*
%{_datadir}/icons/hicolor/*/apps/%{name}_*

%changelog
* Wed Aug 07 2024 Neal Gompa <ngompa@fedoraproject.org> - 0.1~git.0.20240807.a4dd9a5-1
- Initial package
